# pydicom.values.convert_text

pydicom.values.convert_text(byte_string: bytes, encodings: List[str] | None = None, vr: str = None) → str | MutableSequence[str]

  Return a decoded text VR value.

  Text VRs are ‘SH’, ‘LO’ and ‘UC’.

  Parameters:

    - byte_string (bytes) – The encoded text VR element value.

    - encodings (list of str, optional) – A list of the character encoding schemes used to encode the value.

    - vr (str) – The value representation of the element. Needed for validation.

  Returns:

    The decoded value(s).

  Return type:

    str or list of str